//********************************************************************
// Die.java     by Daniel Joyce
//
// Allows for the creation and use of Die objects that
// model the dice used in games of chance.
//
//********************************************************************

public class Die
{
   private final int STANDARD = 6;  // standard maximum face value
   private int numFaces;            // size of die
   private int faceValue;           // current value showing on the die

   //  Constructor: Uses STANDARD size and sets the initial face value.
   public Die()
   {
      numFaces = STANDARD;
      faceValue = 1;
   }

   //  Constructor: Uses parameter size and sets the initial face value.
   public Die(int size)
   {
      numFaces = size;
      faceValue = 1;
   }

   //  Rolls the die and returns the result.
   public int roll()
   {
      faceValue = (int)(Math.random() * numFaces) + 1;
      return faceValue;
   }

   //  Face value mutator.
   public void setFace (int value)
   {
      faceValue = value;
   }

   //  Face value accessor.
   public int getFace()
   {
      return faceValue;
   }

   //  Returns a string representation of this die.
   public String toString()
   {
      String result = Integer.toString(faceValue);
      result = result + " out of " + numFaces;

      return result;
   }
}